#! /usr/bin/env python
from __future__ import print_function
import pyfplo.wanniertools as wt


# ===================================================================

if __name__ == '__main__':


    wdc=wt.WanDefCreator(rcutoff=35,wftol=0.001,coeffformat='bin',
                         wfgriddirections=[[2,0,0],[0,2,0],[0,0,2]],
                         wfgridsubdiv=[1,1,1],savespininfo=False)

    emin=-13
    emax=-5
    delower=1
    deupper=10

    wdc.add(wt.MultipleOrbitalWandef('Al',[1],['3s','3p'],
                                     emin=emin,emax=emax,
                                     delower=delower,deupper=deupper))
    
    wdc.writeFile('=.wandef')

    

# rcutoff=35 and nkxyz=12 does produce replica and wiggly bands, nk=24 is fine
